Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.java4less.rchart
Class Plotter

    java.lang.Object
      |
      +--com.java4less.rchart.ChartComponent
            |
            +--com.java4less.rchart.Plotter

Direct Known Subclasses:
  BarPlotter, BarPlotter3D, GaugePlotter, LinePlotter, LinePlotter3D, PiePlotter, RadarPlotter

public class Plotter
extends ChartComponent

base class used to plot a chart.

Field Summary
`FillStyle` | `back` background of the plotter area.
`ChartImage` | `backImage` background image of the plotter area.
`int` | `depth` depth of the chart (in 3D charts).
`int` | `visibleHeight`
`int` | `visibleWidth`
`Scale` | `XScale` scale of the X Axis.
`Scale` | `Y2Scale` scale of the second Y axis.
`Scale` | `YScale` scale of the Y axis.

Fields inherited from class com.java4less.rchart.ChartComponent
`height, width, x, y`

Constructor Summary
`Plotter()`

Method Summary
`void` | `addSerie(DataSerie s)` add a serie of values to be plotted.
`boolean` | `getCombinable()` can this type of plotter be combined with others
`int` | `getNeedsAxis()` number of axis required (1 for X, 2 for X and Y)
`DataSerie` | `getSerie(int p)` get serie
`int` | `getSeriesCount()` get number of series in plotter
`void` | `plot(ChartGraphics g)` plots the series.
`void` | `plotBackground(ChartGraphics g, int bw, int bh, int offsetX, int offsetY)` draws the background (internal use).
`void` | `replaceSerie(int p, DataSerie s)` replace a serie of values to be plotted.
`void` | `setSerie(int p, DataSerie s)` set serie.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XScale

    public Scale XScale

  scale of the X Axis.

### YScale

    public Scale YScale

  scale of the Y axis.

### Y2Scale

    public Scale Y2Scale

  scale of the second Y axis.

### back

    public FillStyle back

  background of the plotter area.

### backImage

    public ChartImage backImage

  background image of the plotter area.

### visibleWidth

    public int visibleWidth

### visibleHeight

    public int visibleHeight

### depth

    public int depth

  depth of the chart (in 3D charts). The default is 20.

Constructor Detail

### Plotter

    public Plotter()

Method Detail

### getNeedsAxis

    public int getNeedsAxis()

  number of axis required (1 for X, 2 for X and Y)

### getCombinable

    public boolean getCombinable()

  can this type of plotter be combined with others

### plotBackground

    public void plotBackground(ChartGraphics g,
                               int bw,
                               int bh,
                               int offsetX,
                               int offsetY)

  draws the background (internal use).

### plot

    public void plot(ChartGraphics g)

  plots the series.

### getSeriesCount

    public int getSeriesCount()

  get number of series in plotter

### getSerie

    public DataSerie getSerie(int p)

  get serie

### setSerie

    public void setSerie(int p,
                         DataSerie s)

  set serie. The use of this method is not recommended since you will need to set the min and max values of the scale manually. Use replaceSerie() instead, it will calculate new min and max values

### addSerie

    public void addSerie(DataSerie s)

  add a serie of values to be plotted.

### replaceSerie

    public void replaceSerie(int p,
                             DataSerie s)

  replace a serie of values to be plotted. Replace serie in position p with s

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD